diff --git a/third_party/libwebrtc/modules/rtp_rtcp/source/rtp_sender_audio.cc b/third_party/libwebrtc/modules/rtp_rtcp/source/rtp_sender_audio.cc
--- a/third_party/libwebrtc/modules/rtp_rtcp/source/rtp_sender_audio.cc
+++ b/third_party/libwebrtc/modules/rtp_rtcp/source/rtp_sender_audio.cc
@@ -40,16 +40,19 @@ namespace {
 const char* FrameTypeToString(AudioFrameType frame_type) {
   switch (frame_type) {
     case AudioFrameType::kEmptyFrame:
       return "empty";
     case AudioFrameType::kAudioFrameSpeech:
       return "audio_speech";
     case AudioFrameType::kAudioFrameCN:
       return "audio_cn";
+    default:
+      RTC_NOTREACHED();
+      return "";
   }
 }
 #endif
 
 constexpr char kIncludeCaptureClockOffset[] =
     "WebRTC-IncludeCaptureClockOffset";
 
 }  // namespace
diff --git a/third_party/libwebrtc/modules/video_coding/codecs/vp8/temporal_layers_checker.cc b/third_party/libwebrtc/modules/video_coding/codecs/vp8/temporal_layers_checker.cc
--- a/third_party/libwebrtc/modules/video_coding/codecs/vp8/temporal_layers_checker.cc
+++ b/third_party/libwebrtc/modules/video_coding/codecs/vp8/temporal_layers_checker.cc
@@ -23,16 +23,19 @@ TemporalLayersChecker::CreateTemporalLay
                                                    int num_temporal_layers) {
   switch (type) {
     case Vp8TemporalLayersType::kFixedPattern:
       return std::make_unique<DefaultTemporalLayersChecker>(
           num_temporal_layers);
     case Vp8TemporalLayersType::kBitrateDynamic:
       // Conference mode temporal layering for screen content in base stream.
       return std::make_unique<TemporalLayersChecker>(num_temporal_layers);
+    default:
+      RTC_NOTREACHED();
+      return nullptr;
   }
 }
 
 TemporalLayersChecker::TemporalLayersChecker(int num_temporal_layers)
     : num_temporal_layers_(num_temporal_layers),
       sequence_number_(0),
       last_sync_sequence_number_(0),
       last_tl0_sequence_number_(0) {}
diff --git a/third_party/libwebrtc/video/adaptation/video_stream_encoder_resource_manager.cc b/third_party/libwebrtc/video/adaptation/video_stream_encoder_resource_manager.cc
--- a/third_party/libwebrtc/video/adaptation/video_stream_encoder_resource_manager.cc
+++ b/third_party/libwebrtc/video/adaptation/video_stream_encoder_resource_manager.cc
@@ -49,16 +49,19 @@ bool IsFramerateScalingEnabled(Degradati
 }
 
 std::string ToString(VideoAdaptationReason reason) {
   switch (reason) {
     case VideoAdaptationReason::kQuality:
       return "quality";
     case VideoAdaptationReason::kCpu:
       return "cpu";
+    default:
+      RTC_NOTREACHED();
+      return "";
   }
 }
 
 }  // namespace
 
 class VideoStreamEncoderResourceManager::InitialFrameDropper {
  public:
   explicit InitialFrameDropper(
diff --git a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_to_hir.cpp b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_to_hir.cpp
--- a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_to_hir.cpp
+++ b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ast_to_hir.cpp
@@ -2646,16 +2646,17 @@ get_type_name_for_precision_qualifier(co
          unreachable("Unsupported sampler/image type");
       } /* sampler/image type */
       break;
    } /* GLSL_TYPE_SAMPLER/GLSL_TYPE_IMAGE */
    break;
    default:
       unreachable("Unsupported type");
    } /* base type */
+   return "";
 }
 
 static unsigned
 select_gles_precision(unsigned qual_precision,
                       const glsl_type *type,
                       struct _mesa_glsl_parse_state *state, YYLTYPE *loc)
 {
    /* Precision qualifiers do not have any meaning in Desktop GLSL.
diff --git a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.cpp b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.cpp
--- a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.cpp
+++ b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/ir.cpp
@@ -619,16 +619,17 @@ ir_expression::get_num_operands(ir_expre
 
    if (op <= ir_last_triop)
       return 3;
 
    if (op <= ir_last_quadop)
       return 4;
 
    unreachable("Could not calculate number of operands");
+   return -1;
 }
 
 #include "ir_expression_operation_strings.h"
 
 const char*
 depth_layout_string(ir_depth_layout layout)
 {
    switch(layout) {
diff --git a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_analysis.cpp b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_analysis.cpp
--- a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_analysis.cpp
+++ b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/loop_analysis.cpp
@@ -234,16 +234,17 @@ incremented_before_terminator(ir_loop *l
       }
 
       default:
          break;
       }
    }
 
    unreachable("Unable to find induction variable");
+   return false;
 }
 
 /**
  * Record the fact that the given loop variable was referenced inside the loop.
  *
  * \arg in_assignee is true if the reference was on the LHS of an assignment.
  *
  * \arg in_conditional_code_or_nested_loop is true if the reference occurred
diff --git a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_vectorize.cpp b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_vectorize.cpp
--- a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_vectorize.cpp
+++ b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl/opt_vectorize.cpp
@@ -224,16 +224,17 @@ write_mask_to_swizzle(unsigned write_mas
 {
    switch (write_mask) {
    case WRITEMASK_X: return SWIZZLE_X;
    case WRITEMASK_Y: return SWIZZLE_Y;
    case WRITEMASK_Z: return SWIZZLE_Z;
    case WRITEMASK_W: return SWIZZLE_W;
    }
    unreachable("not reached");
+   return 0;
 }
 
 /**
  * Returns whether a single-channeled write mask matches a swizzle.
  */
 static bool
 write_mask_matches_swizzle(unsigned write_mask,
                            const ir_swizzle *swz)
diff --git a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl_types.cpp b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl_types.cpp
--- a/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl_types.cpp
+++ b/third_party/rust/glslopt/glsl-optimizer/src/compiler/glsl_types.cpp
@@ -455,16 +455,17 @@ const glsl_type *glsl_type::get_bare_typ
    case GLSL_TYPE_VOID:
    case GLSL_TYPE_SUBROUTINE:
    case GLSL_TYPE_FUNCTION:
    case GLSL_TYPE_ERROR:
       return this;
    }
 
    unreachable("Invalid base type");
+   return nullptr;
 }
 
 const glsl_type *glsl_type::get_float16_type() const
 {
    assert(this->base_type == GLSL_TYPE_FLOAT);
 
    return get_instance(GLSL_TYPE_FLOAT16,
                        this->vector_elements,
@@ -2011,16 +2012,17 @@ glsl_type::get_explicit_std140_type(bool
                                        (enum glsl_interface_packing)this->interface_packing,
                                        this->interface_row_major,
                                        this->name);
 
       delete[] fields;
       return type;
    } else {
       unreachable("Invalid type for UBO or SSBO");
+      return nullptr;
    }
 }
 
 unsigned
 glsl_type::std430_base_alignment(bool row_major) const
 {
 
    unsigned N = is_64bit() ? 8 : 4;
@@ -2369,16 +2371,17 @@ glsl_type::get_explicit_std430_type(bool
                                        (enum glsl_interface_packing)this->interface_packing,
                                        this->interface_row_major,
                                        this->name);
 
       delete[] fields;
       return type;
    } else {
       unreachable("Invalid type for SSBO");
+      return nullptr;
    }
 }
 
 const glsl_type *
 glsl_type::get_explicit_interface_type(bool supports_std430) const
 {
    enum glsl_interface_packing packing =
       this->get_internal_ifc_packing(supports_std430);
@@ -2443,16 +2446,17 @@ glsl_type::get_explicit_type_for_size_al
       unsigned stride = align(col_size, col_align);
 
       *size = this->matrix_columns * stride;
       *alignment = col_align;
       return glsl_type::get_instance(this->base_type, this->vector_elements,
                                      this->matrix_columns, stride, false);
    } else {
       unreachable("Unhandled type.");
+      return nullptr;
    }
 }
 
 unsigned
 glsl_type::count_vec4_slots(bool is_gl_vertex_input, bool is_bindless) const
 {
    /* From page 31 (page 37 of the PDF) of the GLSL 1.50 spec:
     *
@@ -2943,12 +2947,13 @@ glsl_get_sampler_dim_coordinate_componen
    case GLSL_SAMPLER_DIM_SUBPASS:
    case GLSL_SAMPLER_DIM_SUBPASS_MS:
       return 2;
    case GLSL_SAMPLER_DIM_3D:
    case GLSL_SAMPLER_DIM_CUBE:
       return 3;
    default:
       unreachable("Unknown sampler dim");
+      return -1;
    }
 }
 
 }
diff --git a/third_party/rust/glslopt/glsl-optimizer/src/mesa/main/shaderobj.h b/third_party/rust/glslopt/glsl-optimizer/src/mesa/main/shaderobj.h
--- a/third_party/rust/glslopt/glsl-optimizer/src/mesa/main/shaderobj.h
+++ b/third_party/rust/glslopt/glsl-optimizer/src/mesa/main/shaderobj.h
@@ -180,16 +180,17 @@ static inline gl_shader_stage
    case GL_COMPUTE_SUBROUTINE_UNIFORM:
       return MESA_SHADER_COMPUTE;
    case GL_TESS_CONTROL_SUBROUTINE_UNIFORM:
       return MESA_SHADER_TESS_CTRL;
    case GL_TESS_EVALUATION_SUBROUTINE_UNIFORM:
       return MESA_SHADER_TESS_EVAL;
    }
    unreachable("not reached");
+   return MESA_SHADER_NONE;
 }
 
 static inline gl_shader_stage
 _mesa_shader_stage_from_subroutine(GLenum subroutine)
 {
    switch (subroutine) {
    case GL_VERTEX_SUBROUTINE:
       return MESA_SHADER_VERTEX;
@@ -200,16 +201,17 @@ static inline gl_shader_stage
    case GL_COMPUTE_SUBROUTINE:
       return MESA_SHADER_COMPUTE;
    case GL_TESS_CONTROL_SUBROUTINE:
       return MESA_SHADER_TESS_CTRL;
    case GL_TESS_EVALUATION_SUBROUTINE:
       return MESA_SHADER_TESS_EVAL;
    }
    unreachable("not reached");
+   return MESA_SHADER_NONE;
 }
 
 static inline GLenum
 _mesa_shader_stage_to_subroutine(gl_shader_stage stage)
 {
    switch (stage) {
    case MESA_SHADER_VERTEX:
       return GL_VERTEX_SUBROUTINE;
@@ -225,16 +227,17 @@ static inline GLenum
       return GL_TESS_EVALUATION_SUBROUTINE;
    case MESA_SHADER_NONE:
       break;
    case MESA_SHADER_KERNEL:
       unreachable("not reached");
       break;
    }
    unreachable("not reached");
+   return GL_VERTEX_PROGRAM_ARB;
 }
 
 static inline GLenum
 _mesa_shader_stage_to_subroutine_uniform(gl_shader_stage stage)
 {
    switch (stage) {
    case MESA_SHADER_VERTEX:
       return GL_VERTEX_SUBROUTINE_UNIFORM;
@@ -248,16 +251,17 @@ static inline GLenum
       return GL_TESS_CONTROL_SUBROUTINE_UNIFORM;
    case MESA_SHADER_TESS_EVAL:
       return GL_TESS_EVALUATION_SUBROUTINE_UNIFORM;
    case MESA_SHADER_NONE:
    case MESA_SHADER_KERNEL:
       break;
    }
    unreachable("not reached");
+   return GL_VERTEX_PROGRAM_ARB;
 }
 
 extern bool
 _mesa_validate_pipeline_io(struct gl_pipeline_object *);
 
 #ifdef __cplusplus
 }
 #endif
